LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices


Reply
  Search this Thread
Old 04-01-2002, 02:00 AM   #1
JCH321
LQ Newbie
 
Registered: Apr 2002
Posts: 5

Rep: Reputation: 0
Can't get the drivers for the Vortex 2 Soundcard to work properly!?


Alright, I have a Turtle beach Montego II card, so I try to use "make install20", but it gives this:

[root@localhost aureal]# make install20
make install AUCHIP=AU8820
make[1]: Entering directory `/home/heg/Desktop/aureal'
cc -D__KERNEL__ -DMODULE -DAU8820 -mpentium -O6 -fomit-frame-pointer -Wall -pipe -I/usr/src/linux/include -c -o au_audio.o au_audio.c
In file included from au_vortex.h:55,
from au_audio.c:49:
/usr/include/linux/modversions.h:1:2: #error Modules should never use kernel-headers system headers,
/usr/include/linux/modversions.h:2:2: #error but headers from an appropriate kernel-source
au_audio.c: In function `au_audio_ioctl':
au_audio.c:388: warning: implicit declaration of function `get_user_ret'
au_audio.c:341: warning: `val' might be used uninitialized in this function
make[1]: *** [au_audio.o] Error 1
make[1]: Leaving directory `/home/heg/Desktop/aureal'
make: *** [install20] Error 2
[root@locahost aureal]#


oh, and yes, I am a newbie at linux

Thanks
 
Old 04-01-2002, 10:10 AM   #2
JCH321
LQ Newbie
 
Registered: Apr 2002
Posts: 5

Original Poster
Rep: Reputation: 0
Anyone? I need help ASAP!
 
Old 04-02-2002, 05:52 PM   #3
JCH321
LQ Newbie
 
Registered: Apr 2002
Posts: 5

Original Poster
Rep: Reputation: 0
Come on people, doesn't ANYONE KNOW!?

 
Old 04-02-2002, 06:02 PM   #4
Aussie
Senior Member
 
Registered: Sep 2001
Location: Brisvegas, Antipodes
Distribution: Slackware
Posts: 4,590

Rep: Reputation: 56
Do you have your kernel source installed?
 
Old 04-02-2002, 06:42 PM   #5
JCH321
LQ Newbie
 
Registered: Apr 2002
Posts: 5

Original Poster
Rep: Reputation: 0
Using Linux Mandrake PowerPack 8.1, so if it doesn't install it during install then no...

On linuxnewbie.org, some guy was helping me but he hasn't replied back again, I can point you to the thread though, so see if you can figure out how to fix the error dependency ^_^

http://www.linuxnewbie.org/cgi-bin/u...c&f=4&t=015537

Thanks for the help!
 
Old 04-02-2002, 06:59 PM   #6
Aussie
Senior Member
 
Registered: Sep 2001
Location: Brisvegas, Antipodes
Distribution: Slackware
Posts: 4,590

Rep: Reputation: 56
Install all the kernel src and header rpm's that match the kernel reported by "uname -a" plus any dependcies required, you will find them on the drake cd's, then try compiling the driver again.
 
Old 04-02-2002, 07:45 PM   #7
StudlyDego73
LQ Newbie
 
Registered: Apr 2002
Location: Scranton, PA
Posts: 3

Rep: Reputation: 0
Question Nothing to do with this post, but.....

ok, this has nothing to do with the post I replied to, but I'm a newbie here to this site and linux in general(installing Mandrake 8.1 on my "junk" computer as I speak), but every time I go to post a new thread, i get this error:

Parse error: parse error in /home/httpd/linuxquestions/questions/newthread.php on line 323

So I have no clue how I'm supposed to post. My question is, and sorry to the originator of this post to change it, why does linux(i've tried red hat 7.2, 7.1, 7.0, and Mandrake 8.1) run sooooooo slow on my laptop(I know it's old...a Dell Latitude cp w/64mb ram and a p233mmx)? I figured it'd run a little slow on it, but it runs ungodly slow on there. Is my laptop just not good enough for linux? I have winME on there right now which is by far the worst windows ever, not to mention the slowest, and it's a little slow but not bad at all. I want Linux on there soooooooooooo bad but just can't get it working at a decent speed. Would a much older version of linux work on it do you guys think? Any info would be greatly appreciated. Thanks for your time.
 
Old 04-02-2002, 08:17 PM   #8
JCH321
LQ Newbie
 
Registered: Apr 2002
Posts: 5

Original Poster
Rep: Reputation: 0
Aussie, I already tried that, or else I'm not seeing what you are saying, here is the error[this is copied from the other forum]

[heg@localhost heg]$ cd ~
[heg@localhost heg]$ su
Password:
[root@localhost heg]# rpm -e kernel-headers
error: removing these packages would break dependencies:
kernel-headers is needed by glibc-devel-2.2.4-6mdk
kernel-headers >= 2.2.1 is needed by glibc-devel-2.2.4-6mdk
[root@localhost heg]# rpm -ivh /mnt/cdrom/Mandrake/RPMS2/kernel-source-2.4.8-26mdk.i586.rpm
error: failed dependencies:
ncurses-devel is needed by kernel-source-2.4.8-26mdk
[root@localhost heg]#


So how do I get past that? :/
 
Old 04-02-2002, 08:31 PM   #9
Aussie
Senior Member
 
Registered: Sep 2001
Location: Brisvegas, Antipodes
Distribution: Slackware
Posts: 4,590

Rep: Reputation: 56
Quote:
Originally posted by JCH321

[root@localhost heg]# rpm -e kernel-headers
error: removing these packages would break dependencies:
kernel-headers is needed by glibc-devel-2.2.4-6mdk
kernel-headers >= 2.2.1 is needed by glibc-devel-2.2.4-6mdk
Don't remove the kernel headers, you need them.
Quote:

[root@localhost heg]# rpm -ivh /mnt/cdrom/Mandrake/RPMS2/kernel-source-2.4.8-26mdk.i586.rpm
error: failed dependencies:
ncurses-devel is needed by kernel-source-2.4.8-26mdk
[root@localhost heg]#


So how do I get past that? :/
Install the ncurses-devel rpm and then try the kernel src rpm again, install every dependant rpm it needs.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Aureal Vortex soundcard is deafening me dasbooter Linux - Hardware 5 08-24-2005 03:23 PM
updated Xfree86, can't install ATI drivers properly. Junior41180 Mandriva 0 09-07-2004 07:56 PM
Soundcard with drivers? ch4s3r Linux - Hardware 1 03-01-2004 04:04 AM
Are my video drivers installed properly? preiter Linux - Newbie 5 02-06-2004 10:42 PM
X, failing to start properly, nvidia drivers digitaltek Linux - Software 1 05-12-2002 03:22 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware

All times are GMT -5. The time now is 11:16 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration